// Quake 3 Log Analyzer main include file
// Created 13 Dec 1999
 
#ifndef Q3LA_MAIN_INCLUDE_FILE
#define Q3LA_MAIN_INCLUDE_FILE

#ifdef _DEBUG
#define TEST
#endif

//#define TEST // only used for profiling release builds

#define MAX_NAME_LEN 128
#define MAX_FUN_LEN 1024
#define MAX_NOFUN_LEN 256
#define MAX_WEAPONS 40
#define MAX_TEAMS 2
#define MAX_CLIENTS 512
#define MAX_CLIENTS_INITIAL 16
#define MAX_ALIASES 2048
#define MAX_ALIAS 16
#define MAX_WEAPONNAMES 64

const char version[]	= "build 071";
const char date[]		= __DATE__;
const char helpstr1[] = "Q3LA - Q3 Log Analyzer";
const char helpstr2[] = "Programmed by Fabian Huester, spike@planetquake.com";

enum sort_t {
	so_team,
	so_ratio,
	so_eff,
	so_skill,
	so_kills,
	so_killed,
	so_name,
	so_frags,
	so_score,
	so_playtime
};

char* sortorder_string (int type);

#include <iostream.h>
#include <fcntl.h>
#include <sys/stat.h>
#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <fcntl.h>
#include <string.h>
#include <math.h>
#include <stdarg.h>

#ifndef __LINUX_PLATFORM__
#include <io.h>
#include <direct.h>
#endif

#ifdef __LINUX_PLATFORM__
#include "linuxfunc.h"
#endif

#include "configdata.h"
#include "p2p_t.h"
#include "player_t.h"
#include "resultdata.h"
#include "analyzelog.h"
#include "error.h"
#include "resultdata_total.h"
#include "error.h"
#include "outputfile.h"
#include "output.h"
#include "map_t.h"
#include "q3la_main.h"
#include "diverse.h"
#include "html.h"

#endif
